untrusted comment: verify with openbsd-69-base.pub
RWQQsAemppS46EZXDgSEMjePUz1/AuxbTBa4gGqEWgIAqLdlcJFbKZV367N69RhQlqmEDp2JrX/vRSXx/m7jnTRcatYNzoNEago=

OpenBSD 6.9 errata 014, August 11, 2021

perl(1) Encode (3p) loads a module from an incorrect relative path.

Apply by doing:
    signify -Vep /etc/signify/openbsd-69-base.pub -x 014_perl.patch.sig \
        -m - | (cd /usr/src && patch -p0)

And then rebuild and install perl:
    cd /usr/src/gnu/usr.bin/perl/
    make -f Makefile.bsd-wrapper obj
    make -f Makefile.bsd-wrapper depend
    make -f Makefile.bsd-wrapper
    make -f Makefile.bsd-wrapper install

Index: gnu/usr.bin/perl/cpan/Encode/Encode.pm
===================================================================
RCS file: /cvs/src/gnu/usr.bin/perl/cpan/Encode/Encode.pm,v
diff -u -p -u -r1.10 Encode.pm
--- gnu/usr.bin/perl/cpan/Encode/Encode.pm	1 Mar 2021 23:19:45 -0000	1.10
+++ gnu/usr.bin/perl/cpan/Encode/Encode.pm	10 Aug 2021 02:00:37 -0000
@@ -7,7 +7,8 @@ use warnings;
 use constant DEBUG => !!$ENV{PERL_ENCODE_DEBUG};
 our $VERSION;
 BEGIN {
-    $VERSION = sprintf "%d.%02d", q$Revision: 3.06 $ =~ /(\d+)/g;
+    $VERSION = "3.06_01";
+    $VERSION = eval $VERSION;
     require XSLoader;
     XSLoader::load( __PACKAGE__, $VERSION );
 }
@@ -65,8 +66,8 @@ require Encode::Config;
 eval {
     local $SIG{__DIE__};
     local $SIG{__WARN__};
-    local @INC = @INC || ();
-    pop @INC if $INC[-1] eq '.';
+    local @INC = @INC;
+    pop @INC if @INC && $INC[-1] eq '.';
     require Encode::ConfigLocal;
 };
 
